libwpg: libwpg::WPGFileStreamPrivate Class Reference documentation

# libwpg::WPGFileStreamPrivate Class Reference

List of all members.

## Public Member Functions
| WPGFileStreamPrivate ()
| ~WPGFileStreamPrivate ()
## Public Attributes
std::fstream | file
std::stringstream | buffer
unsigned long | streamSize
uint8_t * | buf
uint8_t * | readBuffer
unsigned long | readBufferLength
unsigned long | readBufferPos
## Private Member Functions
| WPGFileStreamPrivate (const WPGFileStreamPrivate &)
WPGFileStreamPrivate & | operator= (const WPGFileStreamPrivate &)

## Constructor & Destructor Documentation

WPGFileStreamPrivate::WPGFileStreamPrivate | ( |  | ) |

WPGFileStreamPrivate::~WPGFileStreamPrivate | ( |  | ) |

libwpg::WPGFileStreamPrivate::WPGFileStreamPrivate | ( | const WPGFileStreamPrivate & |  | ) | `[private]`

## Member Function Documentation

WPGFileStreamPrivate& libwpg::WPGFileStreamPrivate::operator= | ( | const WPGFileStreamPrivate & |  | ) | `[private]`

## Member Data Documentation

std::fstream libwpg::WPGFileStreamPrivate::file

Referenced by libwpg::WPGFileStream::getDocumentOLEStream(), libwpg::WPGFileStream::isOLEStream(), libwpg::WPGFileStream::read(), libwpg::WPGFileStream::seek(), libwpg::WPGFileStream::tell(), and libwpg::WPGFileStream::WPGFileStream().

std::stringstream libwpg::WPGFileStreamPrivate::buffer

Referenced by libwpg::WPGFileStream::getDocumentOLEStream(), and libwpg::WPGFileStream::isOLEStream().

unsigned long libwpg::WPGFileStreamPrivate::streamSize

Referenced by libwpg::WPGFileStream::atEOS(), libwpg::WPGFileStream::read(), libwpg::WPGFileStream::seek(), and libwpg::WPGFileStream::WPGFileStream().

uint8_t* libwpg::WPGFileStreamPrivate::buf

Referenced by libwpg::WPGFileStream::getDocumentOLEStream(), and ~WPGFileStreamPrivate().

uint8_t* libwpg::WPGFileStreamPrivate::readBuffer

Referenced by libwpg::WPGFileStream::getDocumentOLEStream(), libwpg::WPGFileStream::isOLEStream(), libwpg::WPGFileStream::read(), libwpg::WPGFileStream::seek(), and ~WPGFileStreamPrivate().

unsigned long libwpg::WPGFileStreamPrivate::readBufferLength

Referenced by libwpg::WPGFileStream::getDocumentOLEStream(), libwpg::WPGFileStream::isOLEStream(), libwpg::WPGFileStream::read(), libwpg::WPGFileStream::seek(), and libwpg::WPGFileStream::tell().

unsigned long libwpg::WPGFileStreamPrivate::readBufferPos

Referenced by libwpg::WPGFileStream::getDocumentOLEStream(), libwpg::WPGFileStream::isOLEStream(), libwpg::WPGFileStream::read(), libwpg::WPGFileStream::seek(), and libwpg::WPGFileStream::tell().

The documentation for this class was generated from the following file:

- WPGStreamImplementation.cpp